package com.samelement.iot_notification.service;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

import androidx.work.Constraints;
import androidx.work.ExistingWorkPolicy;
import androidx.work.NetworkType;
import androidx.work.OneTimeWorkRequest;
import androidx.work.WorkManager;

import com.samelement.iot_notification.service.worker.RestartServiceWorker;

public class OnBootReceiver extends BroadcastReceiver {
    private final String TAG = OnBootReceiver.class.getSimpleName();

    @Override
    public void onReceive(Context context, Intent intent) {
        try {
            Constraints constraints = new Constraints.Builder()
                    .setRequiredNetworkType(NetworkType.CONNECTED)
                    .build();

            OneTimeWorkRequest startRequest = new OneTimeWorkRequest.Builder(RestartServiceWorker.class)
                    .setConstraints(constraints)
                    .build();

            WorkManager.getInstance(context)
                    .enqueueUniqueWork("requestStartService", ExistingWorkPolicy.REPLACE, startRequest);
        } catch (Exception e) {
            Log.d(TAG, "Error start service.");
        }
    }
}
